@ECHO OFF&PUSHD %~DP0 &TITLE 搜狗壁纸选项和绿化
mode con cols=35 lines=25
color 5F
:Menu
Cls
@ echo.
@ echo.　　 想干什么...
@ echo.     
@ echo.       安装/绿化 → 按1           
@ echo.     
@ echo.       创建桌面图标 → 按2
@ echo.      
@ echo.       删除桌面图标 → 按3         

@ echo.       卸载/清理 → 按4  
@ echo.           
set /p xj= 输入数字按回车：
if /i "%xj%"=="1" Goto Clean
if /i "%xj%"=="2" Goto ZM
if /i "%xj%"=="3" Goto DZM
if /i "%xj%"=="4" Goto Uninstall
@ echo.
echo      选择无效，请重新输入
ping -n 2 127.1>nul 
goto menu
:Uninstall
Uninstall.exe
taskkill /f /im SGW*  >NUL 2>NUL
rd/s/q "%AppData%\SogouWP\Banner"  2>NUL
rd/s/q "%AppData%\SogouWP\Temp"2>NUL
rd/s/q "%AppData%\SogouWP\IconTip"2>NUL
del/f/q "%AppData%\SogouWP\Config_Update*.ini">NUL 2>NUL
del/f/q "*.dmp">NUL 2>NUL
del/f/q "*.rpt">NUL 2>NUL
rd/s/q "%AppData%\SogouWP\"2>NUL
:Back
@ ECHO.
ECHO 　　　操作成功完成..
ping -n 2 10>nul
goto menu
:DZM
:: 删除桌面图标
del /q "%userprofile%\桌面\搜狗壁纸.lnk" >NUL 2>NUL
del /q "%userprofile%\Desktop\搜狗壁纸.lnk" >NUL 2>NUL
goto Back
:ZM
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\搜狗壁纸.lnk""):b.TargetPath=""%~dp0SGWallPaper.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&SET E=>NUL
goto Back
:Clean
taskkill /f /im SGW*  >NUL 2>NUL
rd/s/q "%AppData%\SogouWP\Banner"  2>NUL
rd/s/q "%AppData%\SogouWP\Temp"2>NUL
rd/s/q "%AppData%\SogouWP\IconTip"2>NUL
del/f/q "%AppData%\SogouWP\Config_Update*.ini">NUL 2>NUL
del/f/q "*.dmp">NUL 2>NUL
del/f/q "*.rpt">NUL 2>NUL

ECHO.&ECHO.完成! 是否注册右键搜狗壁纸快捷菜单和双击隐藏桌面特效？
ECHO.&ECHO.是请按任意键，否直接关闭吧！多余进程为任务栏日历所需，可删！&PAUSE >NUL 2>NUL
::改文件名
rename SGWPCCenter.exe.bak SGWPCCenter.exe
&ECHO.&ECHO.完成! &PAUSE >NUL 2>NUL